Bug 205068 - pam_timestamp_check wakes up every 5 seconds to poll if a file has changed
pam_timestamp_check wakes up every 5 seconds to poll if a file has changed
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pam (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
:
Depends On:
Blocks: wakeup
  Show dependency treegraph
 
Reported: 2006-09-03 09:10 EDT by Arjan van de Ven
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-04 11:58:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to round the sleep up to wake up at the start of the wallclock second (887 bytes, patch)
2006-09-03 09:10 EDT, Arjan van de Ven
no flags Details | Diff

  None (edit)
Description Arjan van de Ven 2006-09-03 09:10:13 EDT
Description of problem:

pam_timestamp_check (run by the default FC6 config when a gnome user logs in)
wakes up every 5 seconds to poll if a file or two have changed.
Ideally, it would just use inotify for this rather than polling.

But if it has to really poll, please consider at least the attached patch; it'll
make sure that pam wakes up right at the start of the second as opposed to
random places inside the second. Other apps are going to wake up at the start of
a new second as well, and when none of them wake during the rest of the second
the cpu can go into deep power saving state.
Comment 1 Arjan van de Ven 2006-09-03 09:10:13 EDT
Created attachment 135457 [details]
Patch to round the sleep up to wake up at the start of the wallclock second
Comment 2 Tomas Mraz 2006-09-04 09:53:18 EDT
Eventually it should use inotify, however for FC-6 I'll use the rounding patch.

Note You need to log in before you can comment on or make changes to this bug.